/**
 * LLM Studio Chat WebSDK Browser Polyfill 
 * Include this script before loading the WebSDK to ensure browser compatibility
 */

// Ensure process is defined for browser environments
window.process = window.process || {};
window.process.env = window.process.env || {};
window.process.env.NODE_ENV = window.process.env.NODE_ENV || 'production';

// For Sentry and other packages that might use global
window.global = window;

// Simulate Vite's import.meta.env for browser environments
window.importMetaEnv = {
  PROD: true,
  DEV: false,
  MODE: 'production'
};

console.log('LLM Studio Chat WebSDK Browser Polyfill loaded'); 